$blue-color: #42a7fe;
$green-color: #00c899;
$primary: #FC556F;
$secondary: #FD9C84;
$gradient: linear-gradient(to right, $primary, $secondary);
@mixin size($width, $height: $width) {
  width: $width;
  height: $height;
}

@mixin maxWidth($value) {
  @media screen and (max-width: $value) {
    @content
  }
}

html {
  font-size: 62.5%;
}

body {
  font-family: "Poppins", sans-serif;
  font-size: 1.6rem;
  font-weight: normal;
  width: 100%;
  height: 100vh;
  background-color: #f3f3f3;
  padding: 2rem;
}

a {
  text-decoration: none;
}

img {
  display: block;
  max-width: 100%;
}

@mixin flexbox($align: flex-start, $justify: flex-start, $flex-direction: row, $wrap: nowrap) {
  display: flex;
  align-items: $align;
  justify-content: $justify;
  flex-direction: $flex-direction;
  flex-wrap: $wrap;
}

.checkbox {
  &__input {
    display: none;
    &:checked + .checkbox__label:after {
      opacity: 1;
      visibility: visible;
    }
  }

  &__label {
    position: relative;
    padding-left: 5rem;
    cursor: pointer;

    &:before {
      content: "";
      @include size(4rem);
      background-color: #fc556f;
      position: absolute;
      left: 0;
      top: 50%;
      transform: translateY(-50%);
      border-radius: 1rem;
    }

    &:after {
      content: "";
      position: absolute;
      top: 0;
      left: 1rem;
      @include size(2rem, 1rem);
      transform: rotate(-45deg);
      border-left: 3px solid white;
      border-bottom: 3px solid white;
      opacity: 0;
      visibility: hidden;
      transition: 0.25s linear;
    }
  }
}

input,
select,
textarea,
button {
  font-size: 1.6rem;
  font-family: "Poppins", sans-serif;
  font-weight: normal;
  outline: none;
}



